module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={
				alive_time=4.7,
				color={a=0,b=255,g=255,r=255,},
				excutor=[[enemy_nv]],
				fade_time=0.3,
			},
			func_name=[[ActorColor]],
			start_time=0,
		},
		[2]={
			args={
				alive_time=4.7,
				color={a=0,b=255,g=255,r=255,},
				excutor=[[ally_na]],
				fade_time=0.3,
			},
			func_name=[[ActorColor]],
			start_time=0,
		},
		[3]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_camera.prefab]],
					preload=true,
				},
				effect_dir_type=[[empty]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=0,
		},
		[4]={
			args={
				alive_time=0.7,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=false,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_obb_glow.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.1,
		},
		[5]={
			args={sound_path=[[Magic/sound_magic_3105_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=1.7,
		},
		[6]={
			args={
				alive_time=1.8,
				color={a=0,b=255,g=255,r=255,},
				excutor=[[vicobj]],
				fade_time=0.01,
			},
			func_name=[[ActorColor]],
			start_time=1.7,
		},
		[7]={args={},func_name=[[MagcAnimStart]],start_time=2.55,},
		[8]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack5_1.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=3,
		},
		[9]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack5_freeze.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=3.5,
		},
		[10]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_winter.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=3.5,
		},
		[11]={
			args={
				alive_time=2,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=3.5,
		},
		[12]={
			args={shake_dis=0.1,shake_rate=15,shake_time=1.35,},
			func_name=[[ShakeScreen]],
			start_time=3.5,
		},
		[13]={
			args={
				alive_time=2,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=3.7,
		},
		[14]={
			args={
				alive_time=2,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=3.9,
		},
		[15]={
			args={
				alive_time=2,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=4.1,
		},
		[16]={
			args={
				alive_time=1.81,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=4.3,
		},
		[17]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=4.4,
		},
		[18]={
			args={
				alive_time=1.75,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=4.5,
		},
		[19]={
			args={
				begin_type=[[current]],
				calc_face=true,
				ease_type=[[Linear]],
				end_relative={base_pos=[[atk_lineup]],depth=0,relative_angle=0,relative_dis=0,},
				end_type=[[end_relative]],
				excutor=[[atkobj]],
				look_at_pos=false,
				move_time=0.14,
				move_type=[[line]],
			},
			func_name=[[Move]],
			start_time=5.66,
		},
		[20]={args={},func_name=[[End]],start_time=6,},
	},
	group_cmds={},
	magic_anim_start_time=2.55,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_camera.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_obb_glow.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack5_1.prefab]],
		[4]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack5_freeze.prefab]],
		[5]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_winter.prefab]],
		[6]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
		[7]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
		[8]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
		[9]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
		[10]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
		[11]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
